package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.BaseRegulationDTO;
import com.diagbot.entity.KlRegulationBase;

import java.util.List;

/**
 * <p>
 * 通用规则基础表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-15
 */
public interface KlRegulationBaseMapper extends BaseMapper<KlRegulationBase> {

    // 获取所有去重的基础规则
    List<BaseRegulationDTO> getAllBase();

    List<BaseRegulationDTO> getSelectBase(List<String> codeList);
}
